aboutsummaryrefslogtreecommitdiff
path: root/binary_search_tool/cros_pkg/boot_test.sh
diff options
context:
space:
mode:
authorCassidy Burden <cburden@google.com>2016-06-22 17:01:04 -0700
committerchrome-bot <chrome-bot@chromium.org>2016-06-24 10:52:49 -0700
commit545b947888df1d07f4ad530e1c5eec930fc283c2 (patch)
tree14ef0fcac7830f13527caf3368668f48faa8fc23 /binary_search_tool/cros_pkg/boot_test.sh
parent58f24cae7e6dfed8196d0b96713afaa42cd1fdde (diff)
downloadtoolchain-utils-545b947888df1d07f4ad530e1c5eec930fc283c2.tar.gz
binary search tool: Move root path of cros_pkg execution, rename scripts
Update cros_pkg scripts and bisect.py so that the package bisector needs to be run from binary_search_tool/ instead of binary_search_tool/cros_pkg. This fits with how sysroot_wrapper implements its scripts. Also rename all cros_pkg scripts to remove cros_pkg prefix and remove undo_eclean.py. TEST=Run unit tests and run interactive/testing cros_pkg test Change-Id: I2781319934b704b91346745ae2d4d916fee35d02 Reviewed-on: https://chrome-internal-review.googlesource.com/266365 Commit-Ready: Cassidy Burden <cburden@google.com> Tested-by: Cassidy Burden <cburden@google.com> Reviewed-by: Caroline Tice <cmtice@google.com>
Diffstat (limited to 'binary_search_tool/cros_pkg/boot_test.sh')
-rwxr-xr-xbinary_search_tool/cros_pkg/boot_test.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/binary_search_tool/cros_pkg/boot_test.sh b/binary_search_tool/cros_pkg/boot_test.sh
new file mode 100755
index 00000000..4ccb05c6
--- /dev/null
+++ b/binary_search_tool/cros_pkg/boot_test.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -u
+#
+# Copyright 2015 Google Inc. All Rights Reserved.
+#
+# This script pings the chromebook to determine if it has successfully booted.
+#
+# This script is intended to be used by binary_search_state.py, as
+# part of the binary search triage on ChromeOS packages. It waits for the
+# install script to build and install the image, then pings the machine.
+# It should return '0' if the test succeeds (the image booted); '1' if the test
+# fails (the image did not boot); and '2' if it could not determine (does not
+# apply in this case).
+#
+
+source cros_pkg/common.sh
+
+# Send 3 pings and wait 3 seconds for any responsed (then timeout).
+ping -c 3 -W 3 ${REMOTE}
+retval=$?
+
+
+exit $retval